<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up()
    {
        Schema::create('sosial_kas_pemasukans', function (Blueprint $table) {
            $table->id();
            $table->date('tanggal');
            $table->string('kategori'); // Bisa diubah ke 'nama_pemberi' kalau ingin lebih jelas
            $table->integer('jumlah');
            $table->string('barang')->nullable(); // Tambahkan kolom barang
            $table->text('keterangan')->nullable();
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('sosial_kas_pemasukans');
    }
};

